Embed sub-types by reference, instead of value-copying.
Status: Closed Start date: 2012-08-02

Priority: Normal Due date:  

Assignee: Ingo Lütkebohle % Done: 90%

Category: datamapper Estimated time: 16.00 hours

Target version: 2.0   

Description

The embedding of sub-types directly into the FlatTree of their parents, while convenient for lookup, has correctness problems for

embedding lists, because they can be created in several ways. Furthermore, when converting data to external forms, it is more

convenient to treat them separately and, e.g., place them in a separate relation or collection.

Associated revisions

Revision 2392 - 2012-08-02 15:28 - Ingo Lütkebohle

embed sub-types and lists by reference instead of by-value. refs #48

History

#1 - 2012-08-02 15:31 - Ingo Lütkebohle

- % Done changed from 50 to 90

Largely implemented in r2392. Some left-overs from the previous list-management are still there and need to be removed, but the new functionality

works.

#2 - 2012-11-16 10:37 - Ingo Lütkebohle

- Status changed from In Progress to Closed
